Subject: Re: Commit graph not using minimal number of columns

From: Junio C Hamano <[email-masked]>
Date: Thu, 27 Apr 2023 11:24:05 -0700

Derrick Stolee <[email-masked]> writes:

> Corrected commit date should be equal to commit date unless there
> is clock skew causing a commit to be older than its parent, (or
> we have a path of commits with equal commit date) so I don't
> anticipate that being helpful in general.

Yes, exactly.  For normal cases it should not matter.

I was wondering if the current --date-order shows commits in an
order that end-users find unnatural in a branchy history with many
commits that have wrong commit dates, and if so, tweaking the
date-order to instead use the corrected commit date may help and if
so how much.

Thanks.